Subject: bug#16844: Facing some issues while creating one regular expression

From: Machindra Dharmadhikari <[email-masked]>
Date: Sat, 22 Feb 2014 17:23:38 +0530

Hi Team,

Could you please help me to create one regular expression. I think this (*)
special character has not handled in egrep. because i have tried it many
ways but couldn't get required expression.

Could you please help me in this.

Problem : File contains following lines:
#* hard maxlogins 10
@Student hard maxlogins 10
* hard maxlogins 10
hard maxlogins 10
#* hard maxlogins 1024

I want to find only below line from above file. but * is not handling in
regular expression:
* hard maxlogins 10

10 can be replaced by any value. and hard can be - as well. I want to these
cases as well.

Thanks & Regards,
Machindra Dharmadhikari